import numpy as np
from PIL import Image

# create a temp list to store values
temps = []

# replace space to new line

with open("fp_data6.txt", "r") as r:
    with open("fp_data6_new.txt", "w") as w:
        w.write(r.read().replace(' ' , '\n'))

# Open text file and write to temp list
f = open('fp_data6_new.txt')
for line in f.readlines():

    try:
        temps.append(int(line.strip()))
    except:
        print("Space")

f.close()

# print(temps)

# Store list into numpy array 
fp_array = np.array(temps)

# print(fp_array)

print( type(fp_array))

print(len(fp_array))


# Construct image from data
w,h = 240, 240

t=(h,w,3)

fp_sample=np.zeros(t, dtype=np.uint8)
for index,value in enumerate(fp_array): 
    a = int( index % 160  )
    b = int( index / 160  )
    fp_sample[a,b] = [40+a, 80+b, int(value)]

i = Image.fromarray(fp_sample)
i.show()

